Bug 245879 - Review Request: stardict-dic-ja - Japanese(ja) dictionaries for StarDict
Summary: Review Request: stardict-dic-ja - Japanese(ja) dictionaries for StarDict
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-27 05:40 UTC by Hu Zheng
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version: 2.4.2-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-05 19:22:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Hu Zheng 2007-06-27 05:40:18 UTC
Spec URL:
http://reciteword.cosoft.org.cn/redhat/stardict-dic-ja.spec
SRPM URL:
http://reciteword.cosoft.org.cn/redhat/stardict-dic-ja-2.4.2-3.fc7.src.rpm

Description: Japanese(ja) dictionaries for StarDict

Comment 1 Ralf Corsepius 2007-06-27 05:50:06 UTC
MUSTFIX:

Use %{_datadir} instead of /usr/share on these occations:

mkdir -p ${RPM_BUILD_ROOT}/usr/share/stardict/dic
cp -rf stardict-* ${RPM_BUILD_ROOT}/usr/share/stardict/dic/


Comment 2 Hu Zheng 2007-06-27 05:58:21 UTC
OK. Fixed as the same file.
Thank you! :)

Comment 3 Hu Zheng 2007-07-02 04:00:59 UTC
Notice, because of bandwidth issue, I didn't upload the newest SRPM, you can
download the old srpm, replace the spec file with the newest one and rebuild to
get the newest srpm file.


Comment 4 Parag AN(पराग) 2007-07-02 04:07:52 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
0aa46b7d589a01663c3fb465152db85d  stardict-edict-2.4.2.tar.bz2
e0f60d6acc4e3df6784805816b2e136f  stardict-jmdict-en-ja-2.4.2.tar.bz2
2c574aef86a5d7bab45395d7e8ee7f6b  stardict-jmdict-ja-en-2.4.2.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
- License text is NOT included in package.
- no %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains content.
+ no static libraries.
+ no .pc files are present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.
+ Requires: stardict >= 2.4.2

APPROVED.


Comment 5 Hu Zheng 2007-07-02 05:32:08 UTC
New Package CVS Request
=======================
Package Name: stardict-dic-ja
Short Description: Japanese(ja) dictionaries for StarDict
Owners: zhu@redhat.com
Branches: F-7
InitialCC: 

Comment 6 Fedora Update System 2007-07-05 19:22:14 UTC
stardict-dic-ja-2.4.2-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.